C=======================================================================C
C MAIN.F - Part of the SOLSPEC GEANT3 application                       C
C-----------------------------------------------------------------------C
C M. R. Moser, University of Bern, Switzerland                          C
C Last modification: 08/26/2002                                         C
C=======================================================================C

#include "geant321/pilot.h"

C=======================================================================C
      PROGRAM SOLSPECB
C-----------------------------------------------------------------------C
C     Simulation of atmospheric cascade                                 C
C=======================================================================C 

#include "geant321/gcflag.inc"
#include "solspec.inc"

      COMMON/PAWC/H(10000000)
      COMMON/GCBANK/Q(50000000)
      
      REAL ZENITHINT
      REAL PI
      PARAMETER(PI=3.1415926535)
      CHARACTER FILE*4, RUNNAME*5, FILEEXT*6, DIR*6
      
      CALL TIMEST(1E5)
      CALL GZEBRA(5000000)
      CALL HLIMIT(-1000000)
      CALL UGINIT

C --- Particle beam ---

      INTENSITY=INT(ZENITHINT*TIME)
      
      DO I=1,INTENSITY
        CALL GTRIGI
        CALL GTRIG
        CALL GTRIGC
      ENDDO
      
C --- Histogram output ---
      
      WRITE(RUNNAME,300)IFILENR
300   FORMAT(I5)      
      DIR='hbook/'
      FILEEXT='.hbook'
      CALL HRPUT(0,DIR//RUNNAME//FILEEXT,'T')      
      
      CALL UGLAST
      
      END
