C=======================================================================C
C UFILES.F - Part of the SOLSPEC GEANT3 application                     C
C-----------------------------------------------------------------------C
C M. R. Moser, University of Bern, Switzerland                          C
C Last modification: 08/16/2002                                         C
C=======================================================================C

#include "geant321/pilot.h"

C=======================================================================C
      SUBROUTINE UFILES
C-----------------------------------------------------------------------C
C     Routine to handle FFREAD and HBOOK files                          C
C=======================================================================C

      CHARACTER*(*) FILNAM, FSTAT

#if defined(CERNLIB_CRAY)||defined(CERNLIB_UNIX)||defined(CERNLIB_VAX)
      PARAMETER (FILNAM='solspec.ffk')
#endif

#if defined(CERNLIB_IBM)
      PARAMETER (FILNAM='/SOLSPEC.FFK *')
#endif

#if defined(CERNLIB_CRAY)||defined(CERNLIB_UNIX)
      PARAMETER (FSTAT='OLD')
#endif

#if defined(CERNLIB_VAX)||defined(CERNLIB_IBM)
      PARAMETER (FSTAT='UNKNOWN')
#endif

#if defined(CERNLIB_QFMSOFT)
      OPEN(UNIT=5,FILE=FILNAM,STATUS='OLD',FORM='FORMATTED')
#elif  defined(CERNLIB_VAX)
      OPEN(UNIT=5,FILE=FILNAM,STATUS=FSTAT,READONLY,FORM='FORMATTED')
#elif 1
      OPEN(UNIT=5,FILE=FILNAM,STATUS=FSTAT,FORM='FORMATTED')
#endif

      END
